### Method

# RB TrackTransferQueue find_batch_by_source

#### Declaration [src]

    GList*
    rb_track_transfer_queue_find_batch_by_source (
      RBTrackTransferQueue* queue,
      RBSource* source
    )

#### Description [src]

Finds all transfer batches where `source` is the source or destination. This should be used to wait for transfers to finish (or cancel them) before ejecting a device. The transfer batches are returned in the order they’re found in the queue, so waiting for the `RBTrackTransferBatch`::complete signal on the last one is sufficient to wait for them all to finish.

#### Parameters

`source`

  Type: `RBSource`

  The `RBSource` to search for.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `RBTrackTransferBatch*`

`GList` of `RBTrackTransferBatch` objects, not referenced.

The caller of the method takes ownership of the returned data container, but not the data inside it.